package org.nl.system.service.lucene;


import org.nl.system.service.lucene.dto.LuceneLogDto;

public interface LuceneExecuteLogService {
    /**
     * 设备光电变化实时光电信号
     *
     * @param device_code 设备编号
     * @param key         plc信号
     * @param value       plc信号值
     */
    void deviceItemValue(String device_code, String key, String value);

    /**
     * 设备执行日志,会保留历史记录
     *
     * @param luceneLogDto  日志结果对象
     */
    void deviceExecuteLog(LuceneLogDto luceneLogDto);

    /**
     * 接口日志,会保留历史记录
     *
     * @param luceneLogDto  日志结果对象
     */
    void interfaceExecuteLog(LuceneLogDto luceneLogDto);

    /**
     * 设备执行日志,会保留历史记录
     *
     * @param name  日志名称
     * @param message      日志信息
     */
    void extLog(String name, String message);


}
